API Referenceapipatient-graphGET /v1/patients/{patient_id}/timeline

GET /v1/patients/\{patient_id\}/timeline

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required

Query parameters

  • event_type (string) —
  • limit (integer) —
  • offset (integer,null) —

Responses

200 Patient timeline

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string"
    },
    "events": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "event_type": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "occurred_at": {
            "type": "string"
          },
          "source_type": {
            "type": [
              "string",
              "null"
            ]
          },
          "source_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "patient_id",
          "brand_id",
          "event_type",
          "title",
          "description",
          "occurred_at",
          "source_type",
          "source_id",
          "metadata",
          "created_at"
        ]
      }
    },
    "total": {
      "type": "number"
    }
  },
  "required": [
    "patient_id",
    "events",
    "total"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{patient_id}/timeline \
  -H "Authorization: Bearer $ACCESS_TOKEN"